<?php

namespace Drupal\countries_field;

/**
 * Class Countries.
 *
 * @package Drupal\countries_field
 */
class Countries {

  /**
   * Database.
   *
   * @var \Drupal\Core\Database\Connection
   */
  protected $database;

  /**
   * Countries constructor.
   */
  public function __construct() {
    $this->database = \Drupal::database();
  }

  /**
   * Return countries.
   */
  public function populate() {
    return [
      (object) [
        'code' => 'af',
        'continent' => 'as',
        'name' => "Afghanistan",
        'iso' => 'AFG',
        'number' => '004',
        'fullname' => "Islamic Republic of Afghanistan",
      ],
      (object) [
        'code' => 'ax',
        'continent' => 'eu',
        'name' => "Aland Islands",
        'iso' => 'ALA',
        'number' => '248',
        'fullname' => "Aland Islands",
      ],
      (object) [
        'code' => 'al',
        'continent' => 'eu',
        'name' => "Albania",
        'iso' => 'ALB',
        'number' => '008',
        'fullname' => "Republic of Albania",
      ],
      (object) [
        'code' => 'dz',
        'continent' => 'af',
        'name' => "Algeria",
        'iso' => 'DZA',
        'number' => '012',
        'fullname' => "People's Democratic Republic of Algeria",
      ],
      (object) [
        'code' => 'as',
        'continent' => 'oc',
        'name' => "American Samoa",
        'iso' => 'ASM',
        'number' => '016',
        'fullname' => "American Samoa",
      ],
      (object) [
        'code' => 'ad',
        'continent' => 'eu',
        'name' => "Andorra",
        'iso' => 'AND',
        'number' => '020',
        'fullname' => "Principality of Andorra",
      ],
      (object) [
        'code' => 'ao',
        'continent' => 'af',
        'name' => "Angola",
        'iso' => 'AGO',
        'number' => '024',
        'fullname' => "Republic of Angola",
      ],
      (object) [
        'code' => 'ai',
        'continent' => 'na',
        'name' => "Anguilla",
        'iso' => 'AIA',
        'number' => '660',
        'fullname' => "Anguilla",
      ],
      (object) [
        'code' => 'aq',
        'continent' => 'an',
        'name' => "Antarctica",
        'iso' => 'ATA',
        'number' => '010',
        'fullname' => "Antarctica (the territory South of 60 deg S)",
      ],
      (object) [
        'code' => 'ag',
        'continent' => 'na',
        'name' => "Antigua and Barbuda",
        'iso' => 'ATG',
        'number' => '028',
        'fullname' => "Antigua and Barbuda",
      ],
      (object) [
        'code' => 'ar',
        'continent' => 'sa',
        'name' => "Argentina",
        'iso' => 'ARG',
        'number' => '032',
        'fullname' => "Argentine Republic",
      ],
      (object) [
        'code' => 'am',
        'continent' => 'as',
        'name' => "Armenia",
        'iso' => 'ARM',
        'number' => '051',
        'fullname' => "Republic of Armenia",
      ],
      (object) [
        'code' => 'aw',
        'continent' => 'na',
        'name' => "Aruba",
        'iso' => 'ABW',
        'number' => '533',
        'fullname' => "Aruba",
      ],
      (object) [
        'code' => 'au',
        'continent' => 'oc',
        'name' => "Australia",
        'iso' => 'AUS',
        'number' => '036',
        'fullname' => "Commonwealth of Australia",
      ],
      (object) [
        'code' => 'at',
        'continent' => 'eu',
        'name' => "Austria",
        'iso' => 'AUT',
        'number' => '040',
        'fullname' => "Republic of Austria",
      ],
      (object) [
        'code' => 'az',
        'continent' => 'as',
        'name' => "Azerbaijan",
        'iso' => 'AZE',
        'number' => '031',
        'fullname' => "Republic of Azerbaijan",
      ],
      (object) [
        'code' => 'bs',
        'continent' => 'na',
        'name' => "Bahamas",
        'iso' => 'BHS',
        'number' => '044',
        'fullname' => "Commonwealth of the Bahamas",
      ],
      (object) [
        'code' => 'bh',
        'continent' => 'as',
        'name' => "Bahrain",
        'iso' => 'BHR',
        'number' => '048',
        'fullname' => "Kingdom of Bahrain",
      ],
      (object) [
        'code' => 'bd',
        'continent' => 'as',
        'name' => "Bangladesh",
        'iso' => 'BGD',
        'number' => '050',
        'fullname' => "People's Republic of Bangladesh",
      ],
      (object) [
        'code' => 'bb',
        'continent' => 'na',
        'name' => "Barbados",
        'iso' => 'BRB',
        'number' => '052',
        'fullname' => "Barbados",
      ],
      (object) [
        'code' => 'by',
        'continent' => 'eu',
        'name' => "Belarus",
        'iso' => 'BLR',
        'number' => '112',
        'fullname' => "Republic of Belarus",
      ],
      (object) [
        'code' => 'be',
        'continent' => 'eu',
        'name' => "Belgium",
        'iso' => 'BEL',
        'number' => '056',
        'fullname' => "Kingdom of Belgium",
      ],
      (object) [
        'code' => 'bz',
        'continent' => 'na',
        'name' => "Belize",
        'iso' => 'BLZ',
        'number' => '084',
        'fullname' => "Belize",
      ],
      (object) [
        'code' => 'bj',
        'continent' => 'af',
        'name' => "Benin",
        'iso' => 'BEN',
        'number' => '204',
        'fullname' => "Republic of Benin",
      ],
      (object) [
        'code' => 'bm',
        'continent' => 'na',
        'name' => "Bermuda",
        'iso' => 'BMU',
        'number' => '060',
        'fullname' => "Bermuda",
      ],
      (object) [
        'code' => 'bt',
        'continent' => 'as',
        'name' => "Bhutan",
        'iso' => 'BTN',
        'number' => '064',
        'fullname' => "Kingdom of Bhutan",
      ],
      (object) [
        'code' => 'bo',
        'continent' => 'sa',
        'name' => "Bolivia",
        'iso' => 'BOL',
        'number' => '068',
        'fullname' => "Plurinational State of Bolivia",
      ],
      (object) [
        'code' => 'bq',
        'continent' => 'na',
        'name' => "Bonaire, Sint Eustatius and Saba",
        'iso' => 'BES',
        'number' => '535',
        'fullname' => "Bonaire, Sint Eustatius and Saba",
      ],
      (object) [
        'code' => 'ba',
        'continent' => 'eu',
        'name' => "Bosnia and Herzegovina",
        'iso' => 'BIH',
        'number' => '070',
        'fullname' => "Bosnia and Herzegovina",
      ],
      (object) [
        'code' => 'bw',
        'continent' => 'af',
        'name' => "Botswana",
        'iso' => 'BWA',
        'number' => '072',
        'fullname' => "Republic of Botswana",
      ],
      (object) [
        'code' => 'bv',
        'continent' => 'an',
        'name' => "Bouvet Island (Bouvetoya)",
        'iso' => 'BVT',
        'number' => '074',
        'fullname' => "Bouvet Island (Bouvetoya)",
      ],
      (object) [
        'code' => 'br',
        'continent' => 'sa',
        'name' => "Brazil",
        'iso' => 'BRA',
        'number' => '076',
        'fullname' => "Federative Republic of Brazil",
      ],
      (object) [
        'code' => 'io',
        'continent' => 'as',
        'name' => "British Indian Ocean Territory (Chagos Archipelago)",
        'iso' => 'IOT',
        'number' => '086',
        'fullname' => "British Indian Ocean Territory (Chagos Archipelago)",
      ],
      (object) [
        'code' => 'vg',
        'continent' => 'na',
        'name' => "British Virgin Islands",
        'iso' => 'VGB',
        'number' => '092',
        'fullname' => "British Virgin Islands",
      ],
      (object) [
        'code' => 'bn',
        'continent' => 'as',
        'name' => "Brunei Darussalam",
        'iso' => 'BRN',
        'number' => '096',
        'fullname' => "Brunei Darussalam",
      ],
      (object) [
        'code' => 'bg',
        'continent' => 'eu',
        'name' => "Bulgaria",
        'iso' => 'BGR',
        'number' => '100',
        'fullname' => "Republic of Bulgaria",
      ],
      (object) [
        'code' => 'bf',
        'continent' => 'af',
        'name' => "Burkina Faso",
        'iso' => 'BFA',
        'number' => '854',
        'fullname' => "Burkina Faso",
      ],
      (object) [
        'code' => 'bi',
        'continent' => 'af',
        'name' => "Burundi",
        'iso' => 'BDI',
        'number' => '108',
        'fullname' => "Republic of Burundi",
      ],
      (object) [
        'code' => 'kh',
        'continent' => 'as',
        'name' => "Cambodia",
        'iso' => 'KHM',
        'number' => '116',
        'fullname' => "Kingdom of Cambodia",
      ],
      (object) [
        'code' => 'cm',
        'continent' => 'af',
        'name' => "Cameroon",
        'iso' => 'CMR',
        'number' => '120',
        'fullname' => "Republic of Cameroon",
      ],
      (object) [
        'code' => 'ca',
        'continent' => 'na',
        'name' => "Canada",
        'iso' => 'CAN',
        'number' => '124',
        'fullname' => "Canada",
      ],
      (object) [
        'code' => 'cv',
        'continent' => 'af',
        'name' => "Cape Verde",
        'iso' => 'CPV',
        'number' => '132',
        'fullname' => "Republic of Cape Verde",
      ],
      (object) [
        'code' => 'ky',
        'continent' => 'na',
        'name' => "Cayman Islands",
        'iso' => 'CYM',
        'number' => '136',
        'fullname' => "Cayman Islands",
      ],
      (object) [
        'code' => 'cf',
        'continent' => 'af',
        'name' => "Central African Republic",
        'iso' => 'CAF',
        'number' => '140',
        'fullname' => "Central African Republic",
      ],
      (object) [
        'code' => 'td',
        'continent' => 'af',
        'name' => "Chad",
        'iso' => 'TCD',
        'number' => '148',
        'fullname' => "Republic of Chad",
      ],
      (object) [
        'code' => 'cl',
        'continent' => 'sa',
        'name' => "Chile",
        'iso' => 'CHL',
        'number' => '152',
        'fullname' => "Republic of Chile",
      ],
      (object) [
        'code' => 'cn',
        'continent' => 'as',
        'name' => "China",
        'iso' => 'CHN',
        'number' => '156',
        'fullname' => "People's Republic of China",
      ],
      (object) [
        'code' => 'cx',
        'continent' => 'as',
        'name' => "Christmas Island",
        'iso' => 'CXR',
        'number' => '162',
        'fullname' => "Christmas Island",
      ],
      (object) [
        'code' => 'cc',
        'continent' => 'as',
        'name' => "Cocos (Keeling) Islands",
        'iso' => 'CCK',
        'number' => '166',
        'fullname' => "Cocos (Keeling) Islands",
      ],
      (object) [
        'code' => 'co',
        'continent' => 'sa',
        'name' => "Colombia",
        'iso' => 'COL',
        'number' => '170',
        'fullname' => "Republic of Colombia",
      ],
      (object) [
        'code' => 'km',
        'continent' => 'af',
        'name' => "Comoros",
        'iso' => 'COM',
        'number' => '174',
        'fullname' => "Union of the Comoros",
      ],
      (object) [
        'code' => 'cd',
        'continent' => 'af',
        'name' => "Congo",
        'iso' => 'COD',
        'number' => '180',
        'fullname' => "Democratic Republic of the Congo",
      ],
      (object) [
        'code' => 'cg',
        'continent' => 'af',
        'name' => "Congo",
        'iso' => 'COG',
        'number' => '178',
        'fullname' => "Republic of the Congo",
      ],
      (object) [
        'code' => 'ck',
        'continent' => 'oc',
        'name' => "Cook Islands",
        'iso' => 'COK',
        'number' => '184',
        'fullname' => "Cook Islands",
      ],
      (object) [
        'code' => 'cr',
        'continent' => 'na',
        'name' => "Costa Rica",
        'iso' => 'CRI',
        'number' => '188',
        'fullname' => "Republic of Costa Rica",
      ],
      (object) [
        'code' => 'ci',
        'continent' => 'af',
        'name' => "Cote d'Ivoire",
        'iso' => 'CIV',
        'number' => '384',
        'fullname' => "Republic of Cote d'Ivoire",
      ],
      (object) [
        'code' => 'hr',
        'continent' => 'eu',
        'name' => "Croatia",
        'iso' => 'HRV',
        'number' => '191',
        'fullname' => "Republic of Croatia",
      ],
      (object) [
        'code' => 'cu',
        'continent' => 'na',
        'name' => "Cuba",
        'iso' => 'CUB',
        'number' => '192',
        'fullname' => "Republic of Cuba",
      ],
      (object) [
        'code' => 'cw',
        'continent' => 'na',
        'name' => "Curaçao",
        'iso' => 'CUW',
        'number' => '531',
        'fullname' => "Curaçao",
      ],
      (object) [
        'code' => 'cy',
        'continent' => 'as',
        'name' => "Cyprus",
        'iso' => 'CYP',
        'number' => '196',
        'fullname' => "Republic of Cyprus",
      ],
      (object) [
        'code' => 'cz',
        'continent' => 'eu',
        'name' => "Czech Republic",
        'iso' => 'CZE',
        'number' => '203',
        'fullname' => "Czech Republic",
      ],
      (object) [
        'code' => 'dk',
        'continent' => 'eu',
        'name' => "Denmark",
        'iso' => 'DNK',
        'number' => '208',
        'fullname' => "Kingdom of Denmark",
      ],
      (object) [
        'code' => 'dj',
        'continent' => 'af',
        'name' => "Djibouti",
        'iso' => 'DJI',
        'number' => '262',
        'fullname' => "Republic of Djibouti",
      ],
      (object) [
        'code' => 'dm',
        'continent' => 'na',
        'name' => "Dominica",
        'iso' => 'DMA',
        'number' => '212',
        'fullname' => "Commonwealth of Dominica",
      ],
      (object) [
        'code' => 'do',
        'continent' => 'na',
        'name' => "Dominican Republic",
        'iso' => 'DOM',
        'number' => '214',
        'fullname' => "Dominican Republic",
      ],
      (object) [
        'code' => 'ec',
        'continent' => 'sa',
        'name' => "Ecuador",
        'iso' => 'ECU',
        'number' => '218',
        'fullname' => "Republic of Ecuador",
      ],
      (object) [
        'code' => 'eg',
        'continent' => 'af',
        'name' => "Egypt",
        'iso' => 'EGY',
        'number' => '818',
        'fullname' => "Arab Republic of Egypt",
      ],
      (object) [
        'code' => 'sv',
        'continent' => 'na',
        'name' => "El Salvador",
        'iso' => 'SLV',
        'number' => '222',
        'fullname' => "Republic of El Salvador",
      ],
      (object) [
        'code' => 'gq',
        'continent' => 'af',
        'name' => "Equatorial Guinea",
        'iso' => 'GNQ',
        'number' => '226',
        'fullname' => "Republic of Equatorial Guinea",
      ],
      (object) [
        'code' => 'er',
        'continent' => 'af',
        'name' => "Eritrea",
        'iso' => 'ERI',
        'number' => '232',
        'fullname' => "State of Eritrea",
      ],
      (object) [
        'code' => 'ee',
        'continent' => 'eu',
        'name' => "Estonia",
        'iso' => 'EST',
        'number' => '233',
        'fullname' => "Republic of Estonia",
      ],
      (object) [
        'code' => 'et',
        'continent' => 'af',
        'name' => "Ethiopia",
        'iso' => 'ETH',
        'number' => '231',
        'fullname' => "Federal Democratic Republic of Ethiopia",
      ],
      (object) [
        'code' => 'fo',
        'continent' => 'eu',
        'name' => "Faroe Islands",
        'iso' => 'FRO',
        'number' => '234',
        'fullname' => "Faroe Islands",
      ],
      (object) [
        'code' => 'fk',
        'continent' => 'sa',
        'name' => "Falkland Islands (Malvinas)",
        'iso' => 'FLK',
        'number' => '238',
        'fullname' => "Falkland Islands (Malvinas)",
      ],
      (object) [
        'code' => 'fj',
        'continent' => 'oc',
        'name' => "Fiji",
        'iso' => 'FJI',
        'number' => '242',
        'fullname' => "Republic of Fiji",
      ],
      (object) [
        'code' => 'fi',
        'continent' => 'eu',
        'name' => "Finland",
        'iso' => 'FIN',
        'number' => '246',
        'fullname' => "Republic of Finland",
      ],
      (object) [
        'code' => 'fr',
        'continent' => 'eu',
        'name' => "France",
        'iso' => 'FRA',
        'number' => '250',
        'fullname' => "French Republic",
      ],
      (object) [
        'code' => 'gf',
        'continent' => 'sa',
        'name' => "French Guiana",
        'iso' => 'GUF',
        'number' => '254',
        'fullname' => "French Guiana",
      ],
      (object) [
        'code' => 'pf',
        'continent' => 'oc',
        'name' => "French Polynesia",
        'iso' => 'PYF',
        'number' => '258',
        'fullname' => "French Polynesia",
      ],
      (object) [
        'code' => 'tf',
        'continent' => 'an',
        'name' => "French Southern Territories",
        'iso' => 'ATF',
        'number' => '260',
        'fullname' => "French Southern Territories",
      ],
      (object) [
        'code' => 'ga',
        'continent' => 'af',
        'name' => "Gabon",
        'iso' => 'GAB',
        'number' => '266',
        'fullname' => "Gabonese Republic",
      ],
      (object) [
        'code' => 'gm',
        'continent' => 'af',
        'name' => "Gambia",
        'iso' => 'GMB',
        'number' => '270',
        'fullname' => "Republic of the Gambia",
      ],
      (object) [
        'code' => 'ge',
        'continent' => 'as',
        'name' => "Georgia",
        'iso' => 'GEO',
        'number' => '268',
        'fullname' => "Georgia",
      ],
      (object) [
        'code' => 'de',
        'continent' => 'eu',
        'name' => "Germany",
        'iso' => 'DEU',
        'number' => '276',
        'fullname' => "Federal Republic of Germany",
      ],
      (object) [
        'code' => 'gh',
        'continent' => 'af',
        'name' => "Ghana",
        'iso' => 'GHA',
        'number' => '288',
        'fullname' => "Republic of Ghana",
      ],
      (object) [
        'code' => 'gi',
        'continent' => 'eu',
        'name' => "Gibraltar",
        'iso' => 'GIB',
        'number' => '292',
        'fullname' => "Gibraltar",
      ],
      (object) [
        'code' => 'gr',
        'continent' => 'eu',
        'name' => "Greece",
        'iso' => 'GRC',
        'number' => '300',
        'fullname' => "Hellenic Republic Greece",
      ],
      (object) [
        'code' => 'gl',
        'continent' => 'na',
        'name' => "Greenland",
        'iso' => 'GRL',
        'number' => '304',
        'fullname' => "Greenland",
      ],
      (object) [
        'code' => 'gd',
        'continent' => 'na',
        'name' => "Grenada",
        'iso' => 'GRD',
        'number' => '308',
        'fullname' => "Grenada",
      ],
      (object) [
        'code' => 'gp',
        'continent' => 'na',
        'name' => "Guadeloupe",
        'iso' => 'GLP',
        'number' => '312',
        'fullname' => "Guadeloupe",
      ],
      (object) [
        'code' => 'gu',
        'continent' => 'oc',
        'name' => "Guam",
        'iso' => 'GUM',
        'number' => '316',
        'fullname' => "Guam",
      ],
      (object) [
        'code' => 'gt',
        'continent' => 'na',
        'name' => "Guatemala",
        'iso' => 'GTM',
        'number' => '320',
        'fullname' => "Republic of Guatemala",
      ],
      (object) [
        'code' => 'gg',
        'continent' => 'eu',
        'name' => "Guernsey",
        'iso' => 'GGY',
        'number' => '831',
        'fullname' => "Bailiwick of Guernsey",
      ],
      (object) [
        'code' => 'gn',
        'continent' => 'af',
        'name' => "Guinea",
        'iso' => 'GIN',
        'number' => '324',
        'fullname' => "Republic of Guinea",
      ],
      (object) [
        'code' => 'gw',
        'continent' => 'af',
        'name' => "Guinea-Bissau",
        'iso' => 'GNB',
        'number' => '624',
        'fullname' => "Republic of Guinea-Bissau",
      ],
      (object) [
        'code' => 'gy',
        'continent' => 'sa',
        'name' => "Guyana",
        'iso' => 'GUY',
        'number' => '328',
        'fullname' => "Co-operative Republic of Guyana",
      ],
      (object) [
        'code' => 'ht',
        'continent' => 'na',
        'name' => "Haiti",
        'iso' => 'HTI',
        'number' => '332',
        'fullname' => "Republic of Haiti",
      ],
      (object) [
        'code' => 'hm',
        'continent' => 'an',
        'name' => "Heard Island and McDonald Islands",
        'iso' => 'HMD',
        'number' => '334',
        'fullname' => "Heard Island and McDonald Islands",
      ],
      (object) [
        'code' => 'va',
        'continent' => 'eu',
        'name' => "Holy See (Vatican City State)",
        'iso' => 'VAT',
        'number' => '336',
        'fullname' => "Holy See (Vatican City State)",
      ],
      (object) [
        'code' => 'hn',
        'continent' => 'na',
        'name' => "Honduras",
        'iso' => 'HND',
        'number' => '340',
        'fullname' => "Republic of Honduras",
      ],
      (object) [
        'code' => 'hk',
        'continent' => 'as',
        'name' => "Hong Kong",
        'iso' => 'HKG',
        'number' => '344',
        'fullname' => "Hong Kong Special Administrative Region of China",
      ],
      (object) [
        'code' => 'hu',
        'continent' => 'eu',
        'name' => "Hungary",
        'iso' => 'HUN',
        'number' => '348',
        'fullname' => "Hungary",
      ],
      (object) [
        'code' => 'is',
        'continent' => 'eu',
        'name' => "Iceland",
        'iso' => 'ISL',
        'number' => '352',
        'fullname' => "Republic of Iceland",
      ],
      (object) [
        'code' => 'in',
        'continent' => 'as',
        'name' => "India",
        'iso' => 'IND',
        'number' => '356',
        'fullname' => "Republic of India",
      ],
      (object) [
        'code' => 'id',
        'continent' => 'as',
        'name' => "Indonesia",
        'iso' => 'IDN',
        'number' => '360',
        'fullname' => "Republic of Indonesia",
      ],
      (object) [
        'code' => 'ir',
        'continent' => 'as',
        'name' => "Iran",
        'iso' => 'IRN',
        'number' => '364',
        'fullname' => "Islamic Republic of Iran",
      ],
      (object) [
        'code' => 'iq',
        'continent' => 'as',
        'name' => "Iraq",
        'iso' => 'IRQ',
        'number' => '368',
        'fullname' => "Republic of Iraq",
      ],
      (object) [
        'code' => 'ie',
        'continent' => 'eu',
        'name' => "Ireland",
        'iso' => 'IRL',
        'number' => '372',
        'fullname' => "Ireland",
      ],
      (object) [
        'code' => 'im',
        'continent' => 'eu',
        'name' => "Isle of Man",
        'iso' => 'IMN',
        'number' => '833',
        'fullname' => "Isle of Man",
      ],
      (object) [
        'code' => 'il',
        'continent' => 'as',
        'name' => "Israel",
        'iso' => 'ISR',
        'number' => '376',
        'fullname' => "State of Israel",
      ],
      (object) [
        'code' => 'it',
        'continent' => 'eu',
        'name' => "Italy",
        'iso' => 'ITA',
        'number' => '380',
        'fullname' => "Italian Republic",
      ],
      (object) [
        'code' => 'jm',
        'continent' => 'na',
        'name' => "Jamaica",
        'iso' => 'JAM',
        'number' => '388',
        'fullname' => "Jamaica",
      ],
      (object) [
        'code' => 'jp',
        'continent' => 'as',
        'name' => "Japan",
        'iso' => 'JPN',
        'number' => '392',
        'fullname' => "Japan",
      ],
      (object) [
        'code' => 'je',
        'continent' => 'eu',
        'name' => "Jersey",
        'iso' => 'JEY',
        'number' => '832',
        'fullname' => "Bailiwick of Jersey",
      ],
      (object) [
        'code' => 'jo',
        'continent' => 'as',
        'name' => "Jordan",
        'iso' => 'JOR',
        'number' => '400',
        'fullname' => "Hashemite Kingdom of Jordan",
      ],
      (object) [
        'code' => 'kz',
        'continent' => 'as',
        'name' => "Kazakhstan",
        'iso' => 'KAZ',
        'number' => '398',
        'fullname' => "Republic of Kazakhstan",
      ],
      (object) [
        'code' => 'ke',
        'continent' => 'af',
        'name' => "Kenya",
        'iso' => 'KEN',
        'number' => '404',
        'fullname' => "Republic of Kenya",
      ],
      (object) [
        'code' => 'ki',
        'continent' => 'oc',
        'name' => "Kiribati",
        'iso' => 'KIR',
        'number' => '296',
        'fullname' => "Republic of Kiribati",
      ],
      (object) [
        'code' => 'kp',
        'continent' => 'as',
        'name' => "Korea",
        'iso' => 'PRK',
        'number' => '408',
        'fullname' => "Democratic People's Republic of Korea",
      ],
      (object) [
        'code' => 'kr',
        'continent' => 'as',
        'name' => "Korea",
        'iso' => 'KOR',
        'number' => '410',
        'fullname' => "Republic of Korea",
      ],
      (object) [
        'code' => 'kw',
        'continent' => 'as',
        'name' => "Kuwait",
        'iso' => 'KWT',
        'number' => '414',
        'fullname' => "State of Kuwait",
      ],
      (object) [
        'code' => 'kg',
        'continent' => 'as',
        'name' => "Kyrgyz Republic",
        'iso' => 'KGZ',
        'number' => '417',
        'fullname' => "Kyrgyz Republic",
      ],
      (object) [
        'code' => 'la',
        'continent' => 'as',
        'name' => "Lao People's Democratic Republic",
        'iso' => 'LAO',
        'number' => '418',
        'fullname' => "Lao People's Democratic Republic",
      ],
      (object) [
        'code' => 'lv',
        'continent' => 'eu',
        'name' => "Latvia",
        'iso' => 'LVA',
        'number' => '428',
        'fullname' => "Republic of Latvia",
      ],
      (object) [
        'code' => 'lb',
        'continent' => 'as',
        'name' => "Lebanon",
        'iso' => 'LBN',
        'number' => '422',
        'fullname' => "Lebanese Republic",
      ],
      (object) [
        'code' => 'ls',
        'continent' => 'af',
        'name' => "Lesotho",
        'iso' => 'LSO',
        'number' => '426',
        'fullname' => "Kingdom of Lesotho",
      ],
      (object) [
        'code' => 'lr',
        'continent' => 'af',
        'name' => "Liberia",
        'iso' => 'LBR',
        'number' => '430',
        'fullname' => "Republic of Liberia",
      ],
      (object) [
        'code' => 'ly',
        'continent' => 'af',
        'name' => "Libya",
        'iso' => 'LBY',
        'number' => '434',
        'fullname' => "Libya",
      ],
      (object) [
        'code' => 'li',
        'continent' => 'eu',
        'name' => "Liechtenstein",
        'iso' => 'LIE',
        'number' => '438',
        'fullname' => "Principality of Liechtenstein",
      ],
      (object) [
        'code' => 'lt',
        'continent' => 'eu',
        'name' => "Lithuania",
        'iso' => 'LTU',
        'number' => '440',
        'fullname' => "Republic of Lithuania",
      ],
      (object) [
        'code' => 'lu',
        'continent' => 'eu',
        'name' => "Luxembourg",
        'iso' => 'LUX',
        'number' => '442',
        'fullname' => "Grand Duchy of Luxembourg",
      ],
      (object) [
        'code' => 'mo',
        'continent' => 'as',
        'name' => "Macao",
        'iso' => 'MAC',
        'number' => '446',
        'fullname' => "Macao Special Administrative Region of China",
      ],
      (object) [
        'code' => 'mk',
        'continent' => 'eu',
        'name' => "Macedonia",
        'iso' => 'MKD',
        'number' => '807',
        'fullname' => "Republic of Macedonia",
      ],
      (object) [
        'code' => 'mg',
        'continent' => 'af',
        'name' => "Madagascar",
        'iso' => 'MDG',
        'number' => '450',
        'fullname' => "Republic of Madagascar",
      ],
      (object) [
        'code' => 'mw',
        'continent' => 'af',
        'name' => "Malawi",
        'iso' => 'MWI',
        'number' => '454',
        'fullname' => "Republic of Malawi",
      ],
      (object) [
        'code' => 'my',
        'continent' => 'as',
        'name' => "Malaysia",
        'iso' => 'MYS',
        'number' => '458',
        'fullname' => "Malaysia",
      ],
      (object) [
        'code' => 'mv',
        'continent' => 'as',
        'name' => "Maldives",
        'iso' => 'MDV',
        'number' => '462',
        'fullname' => "Republic of Maldives",
      ],
      (object) [
        'code' => 'ml',
        'continent' => 'af',
        'name' => "Mali",
        'iso' => 'MLI',
        'number' => '466',
        'fullname' => "Republic of Mali",
      ],
      (object) [
        'code' => 'mt',
        'continent' => 'eu',
        'name' => "Malta",
        'iso' => 'MLT',
        'number' => '470',
        'fullname' => "Republic of Malta",
      ],
      (object) [
        'code' => 'mh',
        'continent' => 'oc',
        'name' => "Marshall Islands",
        'iso' => 'MHL',
        'number' => '584',
        'fullname' => "Republic of the Marshall Islands",
      ],
      (object) [
        'code' => 'mq',
        'continent' => 'na',
        'name' => "Martinique",
        'iso' => 'MTQ',
        'number' => '474',
        'fullname' => "Martinique",
      ],
      (object) [
        'code' => 'mr',
        'continent' => 'af',
        'name' => "Mauritania",
        'iso' => 'MRT',
        'number' => '478',
        'fullname' => "Islamic Republic of Mauritania",
      ],
      (object) [
        'code' => 'mu',
        'continent' => 'af',
        'name' => "Mauritius",
        'iso' => 'MUS',
        'number' => '480',
        'fullname' => "Republic of Mauritius",
      ],
      (object) [
        'code' => 'yt',
        'continent' => 'af',
        'name' => "Mayotte",
        'iso' => 'MYT',
        'number' => '175',
        'fullname' => "Mayotte",
      ],
      (object) [
        'code' => 'mx',
        'continent' => 'na',
        'name' => "Mexico",
        'iso' => 'MEX',
        'number' => '484',
        'fullname' => "United Mexican States",
      ],
      (object) [
        'code' => 'fm',
        'continent' => 'oc',
        'name' => "Micronesia",
        'iso' => 'FSM',
        'number' => '583',
        'fullname' => "Federated States of Micronesia",
      ],
      (object) [
        'code' => 'md',
        'continent' => 'eu',
        'name' => "Moldova",
        'iso' => 'MDA',
        'number' => '498',
        'fullname' => "Republic of Moldova",
      ],
      (object) [
        'code' => 'mc',
        'continent' => 'eu',
        'name' => "Monaco",
        'iso' => 'MCO',
        'number' => '492',
        'fullname' => "Principality of Monaco",
      ],
      (object) [
        'code' => 'mn',
        'continent' => 'as',
        'name' => "Mongolia",
        'iso' => 'MNG',
        'number' => '496',
        'fullname' => "Mongolia",
      ],
      (object) [
        'code' => 'me',
        'continent' => 'eu',
        'name' => "Montenegro",
        'iso' => 'MNE',
        'number' => '499',
        'fullname' => "Montenegro",
      ],
      (object) [
        'code' => 'ms',
        'continent' => 'na',
        'name' => "Montserrat",
        'iso' => 'MSR',
        'number' => '500',
        'fullname' => "Montserrat",
      ],
      (object) [
        'code' => 'ma',
        'continent' => 'af',
        'name' => "Morocco",
        'iso' => 'MAR',
        'number' => '504',
        'fullname' => "Kingdom of Morocco",
      ],
      (object) [
        'code' => 'mz',
        'continent' => 'af',
        'name' => "Mozambique",
        'iso' => 'MOZ',
        'number' => '508',
        'fullname' => "Republic of Mozambique",
      ],
      (object) [
        'code' => 'mm',
        'continent' => 'as',
        'name' => "Myanmar",
        'iso' => 'MMR',
        'number' => '104',
        'fullname' => "Republic of the Union of Myanmar",
      ],
      (object) [
        'code' => 'na',
        'continent' => 'af',
        'name' => "Namibia",
        'iso' => 'NAM',
        'number' => '516',
        'fullname' => "Republic of Namibia",
      ],
      (object) [
        'code' => 'nr',
        'continent' => 'oc',
        'name' => "Nauru",
        'iso' => 'NRU',
        'number' => '520',
        'fullname' => "Republic of Nauru",
      ],
      (object) [
        'code' => 'np',
        'continent' => 'as',
        'name' => "Nepal",
        'iso' => 'NPL',
        'number' => '524',
        'fullname' => "Federal Democratic Republic of Nepal",
      ],
      (object) [
        'code' => 'nl',
        'continent' => 'eu',
        'name' => "Netherlands",
        'iso' => 'NLD',
        'number' => '528',
        'fullname' => "Kingdom of the Netherlands",
      ],
      (object) [
        'code' => 'nc',
        'continent' => 'oc',
        'name' => "New Caledonia",
        'iso' => 'NCL',
        'number' => '540',
        'fullname' => "New Caledonia",
      ],
      (object) [
        'code' => 'nz',
        'continent' => 'oc',
        'name' => "New Zealand",
        'iso' => 'NZL',
        'number' => '554',
        'fullname' => "New Zealand",
      ],
      (object) [
        'code' => 'ni',
        'continent' => 'na',
        'name' => "Nicaragua",
        'iso' => 'NIC',
        'number' => '558',
        'fullname' => "Republic of Nicaragua",
      ],
      (object) [
        'code' => 'ne',
        'continent' => 'af',
        'name' => "Niger",
        'iso' => 'NER',
        'number' => '562',
        'fullname' => "Republic of Niger",
      ],
      (object) [
        'code' => 'ng',
        'continent' => 'af',
        'name' => "Nigeria",
        'iso' => 'NGA',
        'number' => '566',
        'fullname' => "Federal Republic of Nigeria",
      ],
      (object) [
        'code' => 'nu',
        'continent' => 'oc',
        'name' => "Niue",
        'iso' => 'NIU',
        'number' => '570',
        'fullname' => "Niue",
      ],
      (object) [
        'code' => 'nf',
        'continent' => 'oc',
        'name' => "Norfolk Island",
        'iso' => 'NFK',
        'number' => '574',
        'fullname' => "Norfolk Island",
      ],
      (object) [
        'code' => 'mp',
        'continent' => 'oc',
        'name' => "Northern Mariana Islands",
        'iso' => 'MNP',
        'number' => '580',
        'fullname' => "Commonwealth of the Northern Mariana Islands",
      ],
      (object) [
        'code' => 'no',
        'continent' => 'eu',
        'name' => "Norway",
        'iso' => 'NOR',
        'number' => '578',
        'fullname' => "Kingdom of Norway",
      ],
      (object) [
        'code' => 'om',
        'continent' => 'as',
        'name' => "Oman",
        'iso' => 'OMN',
        'number' => '512',
        'fullname' => "Sultanate of Oman",
      ],
      (object) [
        'code' => 'pk',
        'continent' => 'as',
        'name' => "Pakistan",
        'iso' => 'PAK',
        'number' => '586',
        'fullname' => "Islamic Republic of Pakistan",
      ],
      (object) [
        'code' => 'pw',
        'continent' => 'oc',
        'name' => "Palau",
        'iso' => 'PLW',
        'number' => '585',
        'fullname' => "Republic of Palau",
      ],
      (object) [
        'code' => 'ps',
        'continent' => 'as',
        'name' => "Palestinian Territory",
        'iso' => 'PSE',
        'number' => '275',
        'fullname' => "Occupied Palestinian Territory",
      ],
      (object) [
        'code' => 'pa',
        'continent' => 'na',
        'name' => "Panama",
        'iso' => 'PAN',
        'number' => '591',
        'fullname' => "Republic of Panama",
      ],
      (object) [
        'code' => 'pg',
        'continent' => 'oc',
        'name' => "Papua New Guinea",
        'iso' => 'PNG',
        'number' => '598',
        'fullname' => "Independent State of Papua New Guinea",
      ],
      (object) [
        'code' => 'py',
        'continent' => 'sa',
        'name' => "Paraguay",
        'iso' => 'PRY',
        'number' => '600',
        'fullname' => "Republic of Paraguay",
      ],
      (object) [
        'code' => 'pe',
        'continent' => 'sa',
        'name' => "Peru",
        'iso' => 'PER',
        'number' => '604',
        'fullname' => "Republic of Peru",
      ],
      (object) [
        'code' => 'ph',
        'continent' => 'as',
        'name' => "Philippines",
        'iso' => 'PHL',
        'number' => '608',
        'fullname' => "Republic of the Philippines",
      ],
      (object) [
        'code' => 'pn',
        'continent' => 'oc',
        'name' => "Pitcairn Islands",
        'iso' => 'PCN',
        'number' => '612',
        'fullname' => "Pitcairn Islands",
      ],
      (object) [
        'code' => 'pl',
        'continent' => 'eu',
        'name' => "Poland",
        'iso' => 'POL',
        'number' => '616',
        'fullname' => "Republic of Poland",
      ],
      (object) [
        'code' => 'pt',
        'continent' => 'eu',
        'name' => "Portugal",
        'iso' => 'PRT',
        'number' => '620',
        'fullname' => "Portuguese Republic",
      ],
      (object) [
        'code' => 'pr',
        'continent' => 'na',
        'name' => "Puerto Rico",
        'iso' => 'PRI',
        'number' => '630',
        'fullname' => "Commonwealth of Puerto Rico",
      ],
      (object) [
        'code' => 'qa',
        'continent' => 'as',
        'name' => "Qatar",
        'iso' => 'QAT',
        'number' => '634',
        'fullname' => "State of Qatar",
      ],
      (object) [
        'code' => 're',
        'continent' => 'af',
        'name' => "Réunion",
        'iso' => 'REU',
        'number' => '638',
        'fullname' => "Réunion",
      ],
      (object) [
        'code' => 'ro',
        'continent' => 'eu',
        'name' => "Romania",
        'iso' => 'ROU',
        'number' => '642',
        'fullname' => "Romania",
      ],
      (object) [
        'code' => 'ru',
        'continent' => 'eu',
        'name' => "Russian Federation",
        'iso' => 'RUS',
        'number' => '643',
        'fullname' => "Russian Federation",
      ],
      (object) [
        'code' => 'rw',
        'continent' => 'af',
        'name' => "Rwanda",
        'iso' => 'RWA',
        'number' => '646',
        'fullname' => "Republic of Rwanda",
      ],
      (object) [
        'code' => 'bl',
        'continent' => 'na',
        'name' => "Saint Barthelemy",
        'iso' => 'BLM',
        'number' => '652',
        'fullname' => "Saint Barthelemy",
      ],
      (object) [
        'code' => 'sh',
        'continent' => 'af',
        'name' => "Saint Helena, Ascension and Tristan da Cunha",
        'iso' => 'SHN',
        'number' => '654',
        'fullname' => "Saint Helena, Ascension and Tristan da Cunha",
      ],
      (object) [
        'code' => 'kn',
        'continent' => 'na',
        'name' => "Saint Kitts and Nevis",
        'iso' => 'KNA',
        'number' => '659',
        'fullname' => "Federation of Saint Kitts and Nevis",
      ],
      (object) [
        'code' => 'lc',
        'continent' => 'na',
        'name' => "Saint Lucia",
        'iso' => 'LCA',
        'number' => '662',
        'fullname' => "Saint Lucia",
      ],
      (object) [
        'code' => 'mf',
        'continent' => 'na',
        'name' => "Saint Martin",
        'iso' => 'MAF',
        'number' => '663',
        'fullname' => "Saint Martin (French part)",
      ],
      (object) [
        'code' => 'pm',
        'continent' => 'na',
        'name' => "Saint Pierre and Miquelon",
        'iso' => 'SPM',
        'number' => '666',
        'fullname' => "Saint Pierre and Miquelon",
      ],
      (object) [
        'code' => 'vc',
        'continent' => 'na',
        'name' => "Saint Vincent and the Grenadines",
        'iso' => 'VCT',
        'number' => '670',
        'fullname' => "Saint Vincent and the Grenadines",
      ],
      (object) [
        'code' => 'ws',
        'continent' => 'oc',
        'name' => "Samoa",
        'iso' => 'WSM',
        'number' => '882',
        'fullname' => "Independent State of Samoa",
      ],
      (object) [
        'code' => 'sm',
        'continent' => 'eu',
        'name' => "San Marino",
        'iso' => 'SMR',
        'number' => '674',
        'fullname' => "Republic of San Marino",
      ],
      (object) [
        'code' => 'st',
        'continent' => 'af',
        'name' => "Sao Tome and Principe",
        'iso' => 'STP',
        'number' => '678',
        'fullname' => "Democratic Republic of Sao Tome and Principe",
      ],
      (object) [
        'code' => 'sa',
        'continent' => 'as',
        'name' => "Saudi Arabia",
        'iso' => 'SAU',
        'number' => '682',
        'fullname' => "Kingdom of Saudi Arabia",
      ],
      (object) [
        'code' => 'sn',
        'continent' => 'af',
        'name' => "Senegal",
        'iso' => 'SEN',
        'number' => '686',
        'fullname' => "Republic of Senegal",
      ],
      (object) [
        'code' => 'rs',
        'continent' => 'eu',
        'name' => "Serbia",
        'iso' => 'SRB',
        'number' => '688',
        'fullname' => "Republic of Serbia",
      ],
      (object) [
        'code' => 'sc',
        'continent' => 'af',
        'name' => "Seychelles",
        'iso' => 'SYC',
        'number' => '690',
        'fullname' => "Republic of Seychelles",
      ],
      (object) [
        'code' => 'sl',
        'continent' => 'af',
        'name' => "Sierra Leone",
        'iso' => 'SLE',
        'number' => '694',
        'fullname' => "Republic of Sierra Leone",
      ],
      (object) [
        'code' => 'sg',
        'continent' => 'as',
        'name' => "Singapore",
        'iso' => 'SGP',
        'number' => '702',
        'fullname' => "Republic of Singapore",
      ],
      (object) [
        'code' => 'sx',
        'continent' => 'na',
        'name' => "Sint Maarten (Dutch part)",
        'iso' => 'SXM',
        'number' => '534',
        'fullname' => "Sint Maarten (Dutch part)",
      ],
      (object) [
        'code' => 'sk',
        'continent' => 'eu',
        'name' => "Slovakia (Slovak Republic)",
        'iso' => 'SVK',
        'number' => '703',
        'fullname' => "Slovakia (Slovak Republic)",
      ],
      (object) [
        'code' => 'si',
        'continent' => 'eu',
        'name' => "Slovenia",
        'iso' => 'SVN',
        'number' => '705',
        'fullname' => "Republic of Slovenia",
      ],
      (object) [
        'code' => 'sb',
        'continent' => 'oc',
        'name' => "Solomon Islands",
        'iso' => 'SLB',
        'number' => '090',
        'fullname' => "Solomon Islands",
      ],
      (object) [
        'code' => 'so',
        'continent' => 'af',
        'name' => "Somalia",
        'iso' => 'SOM',
        'number' => '706',
        'fullname' => "Somali Republic",
      ],
      (object) [
        'code' => 'za',
        'continent' => 'af',
        'name' => "South Africa",
        'iso' => 'ZAF',
        'number' => '710',
        'fullname' => "Republic of South Africa",
      ],
      (object) [
        'code' => 'gs',
        'continent' => 'an',
        'name' => "South Georgia and the South Sandwich Islands",
        'iso' => 'SGS',
        'number' => '239',
        'fullname' => "South Georgia and the South Sandwich Islands",
      ],
      (object) [
        'code' => 'ss',
        'continent' => 'af',
        'name' => "South Sudan",
        'iso' => 'SSD',
        'number' => '728',
        'fullname' => "Republic of South Sudan",
      ],
      (object) [
        'code' => 'es',
        'continent' => 'eu',
        'name' => "Spain",
        'iso' => 'ESP',
        'number' => '724',
        'fullname' => "Kingdom of Spain",
      ],
      (object) [
        'code' => 'lk',
        'continent' => 'as',
        'name' => "Sri Lanka",
        'iso' => 'LKA',
        'number' => '144',
        'fullname' => "Democratic Socialist Republic of Sri Lanka",
      ],
      (object) [
        'code' => 'sd',
        'continent' => 'af',
        'name' => "Sudan",
        'iso' => 'SDN',
        'number' => '729',
        'fullname' => "Republic of Sudan",
      ],
      (object) [
        'code' => 'sr',
        'continent' => 'sa',
        'name' => "Suriname",
        'iso' => 'SUR',
        'number' => '740',
        'fullname' => "Republic of Suriname",
      ],
      (object) [
        'code' => 'sj',
        'continent' => 'eu',
        'name' => "Svalbard & Jan Mayen Islands",
        'iso' => 'SJM',
        'number' => '744',
        'fullname' => "Svalbard & Jan Mayen Islands",
      ],
      (object) [
        'code' => 'sz',
        'continent' => 'af',
        'name' => "Swaziland",
        'iso' => 'SWZ',
        'number' => '748',
        'fullname' => "Kingdom of Swaziland",
      ],
      (object) [
        'code' => 'se',
        'continent' => 'eu',
        'name' => "Sweden",
        'iso' => 'SWE',
        'number' => '752',
        'fullname' => "Kingdom of Sweden",
      ],
      (object) [
        'code' => 'ch',
        'continent' => 'eu',
        'name' => "Switzerland",
        'iso' => 'CHE',
        'number' => '756',
        'fullname' => "Swiss Confederation",
      ],
      (object) [
        'code' => 'sy',
        'continent' => 'as',
        'name' => "Syrian Arab Republic",
        'iso' => 'SYR',
        'number' => '760',
        'fullname' => "Syrian Arab Republic",
      ],
      (object) [
        'code' => 'tw',
        'continent' => 'as',
        'name' => "Taiwan",
        'iso' => 'TWN',
        'number' => '158',
        'fullname' => "Taiwan, Province of China",
      ],
      (object) [
        'code' => 'tj',
        'continent' => 'as',
        'name' => "Tajikistan",
        'iso' => 'TJK',
        'number' => '762',
        'fullname' => "Republic of Tajikistan",
      ],
      (object) [
        'code' => 'tz',
        'continent' => 'af',
        'name' => "Tanzania",
        'iso' => 'TZA',
        'number' => '834',
        'fullname' => "United Republic of Tanzania",
      ],
      (object) [
        'code' => 'th',
        'continent' => 'as',
        'name' => "Thailand",
        'iso' => 'THA',
        'number' => '764',
        'fullname' => "Kingdom of Thailand",
      ],
      (object) [
        'code' => 'tl',
        'continent' => 'as',
        'name' => "Timor-Leste",
        'iso' => 'TLS',
        'number' => '626',
        'fullname' => "Democratic Republic of Timor-Leste",
      ],
      (object) [
        'code' => 'tg',
        'continent' => 'af',
        'name' => "Togo",
        'iso' => 'TGO',
        'number' => '768',
        'fullname' => "Togolese Republic",
      ],
      (object) [
        'code' => 'tk',
        'continent' => 'oc',
        'name' => "Tokelau",
        'iso' => 'TKL',
        'number' => '772',
        'fullname' => "Tokelau",
      ],
      (object) [
        'code' => 'to',
        'continent' => 'oc',
        'name' => "Tonga",
        'iso' => 'TON',
        'number' => '776',
        'fullname' => "Kingdom of Tonga",
      ],
      (object) [
        'code' => 'tt',
        'continent' => 'na',
        'name' => "Trinidad and Tobago",
        'iso' => 'TTO',
        'number' => '780',
        'fullname' => "Republic of Trinidad and Tobago",
      ],
      (object) [
        'code' => 'tn',
        'continent' => 'af',
        'name' => "Tunisia",
        'iso' => 'TUN',
        'number' => '788',
        'fullname' => "Tunisian Republic",
      ],
      (object) [
        'code' => 'tr',
        'continent' => 'as',
        'name' => "Turkey",
        'iso' => 'TUR',
        'number' => '792',
        'fullname' => "Republic of Turkey",
      ],
      (object) [
        'code' => 'tm',
        'continent' => 'as',
        'name' => "Turkmenistan",
        'iso' => 'TKM',
        'number' => '795',
        'fullname' => "Turkmenistan",
      ],
      (object) [
        'code' => 'tc',
        'continent' => 'na',
        'name' => "Turks and Caicos Islands",
        'iso' => 'TCA',
        'number' => '796',
        'fullname' => "Turks and Caicos Islands",
      ],
      (object) [
        'code' => 'tv',
        'continent' => 'oc',
        'name' => "Tuvalu",
        'iso' => 'TUV',
        'number' => '798',
        'fullname' => "Tuvalu",
      ],
      (object) [
        'code' => 'ug',
        'continent' => 'af',
        'name' => "Uganda",
        'iso' => 'UGA',
        'number' => '800',
        'fullname' => "Republic of Uganda",
      ],
      (object) [
        'code' => 'ua',
        'continent' => 'eu',
        'name' => "Ukraine",
        'iso' => 'UKR',
        'number' => '804',
        'fullname' => "Ukraine",
      ],
      (object) [
        'code' => 'ae',
        'continent' => 'as',
        'name' => "United Arab Emirates",
        'iso' => 'ARE',
        'number' => '784',
        'fullname' => "United Arab Emirates",
      ],
      (object) [
        'code' => 'gb',
        'continent' => 'eu',
        'name' => "United Kingdom of Great Britain & Northern Ireland",
        'iso' => 'GBR',
        'number' => '826',
        'fullname' => "United Kingdom of Great Britain & Northern Ireland",
      ],
      (object) [
        'code' => 'us',
        'continent' => 'na',
        'name' => "United States of America",
        'iso' => 'USA',
        'number' => '840',
        'fullname' => "United States of America",
      ],
      (object) [
        'code' => 'um',
        'continent' => 'oc',
        'name' => "United States Minor Outlying Islands",
        'iso' => 'UMI',
        'number' => '581',
        'fullname' => "United States Minor Outlying Islands",
      ],
      (object) [
        'code' => 'vi',
        'continent' => 'na',
        'name' => "United States Virgin Islands",
        'iso' => 'VIR',
        'number' => '850',
        'fullname' => "United States Virgin Islands",
      ],
      (object) [
        'code' => 'uy',
        'continent' => 'sa',
        'name' => "Uruguay",
        'iso' => 'URY',
        'number' => '858',
        'fullname' => "Eastern Republic of Uruguay",
      ],
      (object) [
        'code' => 'uz',
        'continent' => 'as',
        'name' => "Uzbekistan",
        'iso' => 'UZB',
        'number' => '860',
        'fullname' => "Republic of Uzbekistan",
      ],
      (object) [
        'code' => 'vu',
        'continent' => 'oc',
        'name' => "Vanuatu",
        'iso' => 'VUT',
        'number' => '548',
        'fullname' => "Republic of Vanuatu",
      ],
      (object) [
        'code' => 've',
        'continent' => 'sa',
        'name' => "Venezuela",
        'iso' => 'VEN',
        'number' => '862',
        'fullname' => "Bolivarian Republic of Venezuela",
      ],
      (object) [
        'code' => 'vn',
        'continent' => 'as',
        'name' => "Vietnam",
        'iso' => 'VNM',
        'number' => '704',
        'fullname' => "Socialist Republic of Vietnam",
      ],
      (object) [
        'code' => 'wf',
        'continent' => 'oc',
        'name' => "Wallis and Futuna",
        'iso' => 'WLF',
        'number' => '876',
        'fullname' => "Wallis and Futuna",
      ],
      (object) [
        'code' => 'eh',
        'continent' => 'af',
        'name' => "Western Sahara",
        'iso' => 'ESH',
        'number' => '732',
        'fullname' => "Western Sahara",
      ],
      (object) [
        'code' => 'ye',
        'continent' => 'as',
        'name' => "Yemen",
        'iso' => 'YEM',
        'number' => '887',
        'fullname' => "Yemen",
      ],
      (object) [
        'code' => 'zm',
        'continent' => 'af',
        'name' => "Zambia",
        'iso' => 'ZMB',
        'number' => '894',
        'fullname' => "Republic of Zambia",
      ],
      (object) [
        'code' => 'zw',
        'continent' => 'af',
        'name' => "Zimbabwe",
        'iso' => 'ZWE',
        'number' => '716',
        'fullname' => "Republic of Zimbabwe",
      ],
    ];
  }

  /**
   * Get countries Data.
   *
   * @return array
   *   Return countries options.
   */
  public function getCountriesData($code = 'all') {
    $fields = ['code', 'name'];
    $data = [];
    if ($code != 'all') {
      $countries = $this->finedByContinent($code, $fields);
    }
    else {
      $countries = $this->getCountries($fields);
    }
    foreach ($countries as $country) {
      $data[$country->code] = t($country->name);
    }
    return $data;
  }

  /**
   * Get countries Data.
   *
   * @param string $code
   *   Continent code.
   *
   * @return array
   *   Return countries options.
   */
  public function getCountriesDataByContinent($code = 'all') {
    $fields = ['code', 'name'];
    return $this->finedByContinent($code, $fields);
  }

  /**
   * Retrieve all countries.
   *
   * @param array $fields
   *   Wanted fields.
   *
   * @return mixed
   *   Return object.
   */
  public function getCountries(array $fields = ['code']) {
    $query = $this->database->select('countries', 'c');
    $query->fields('c', $fields);
    $query->orderBy('name', 'ASC');
    return $query->execute()->fetchAll();
  }

  /**
   * Retrieve all countries linked to a continent.
   *
   * @param mixed $codeContinent
   *   Code continent.
   * @param array $fields
   *   Wanted fields.
   *
   * @return mixed
   *   Return countries.
   */
  public function finedByContinent($codeContinent, array $fields = ['code']) {
    $query = $this->database->select('countries', 'c');
    if ($codeContinent != 'all') {
      $query->condition('c.continent', $codeContinent);
    }
    $query->fields('c', $fields);
    $query->orderBy('name', 'ASC');
    return $query->execute()->fetchAll();
  }

  /**
   * Insert countries to database.
   */
  public function insertCountries() {
    // Add all countries.
    foreach ($this->populate() as $country) {
      $this->insertCountry($country);
    }
  }

  /**
   * Insert country to database.
   */
  public function insertCountry($country) {
    try {
      // Prepare country insert query.
      $query = $this->database->insert('countries')
        ->fields(['code', 'continent', 'name', 'iso', 'number', 'fullname'])
        ->values([
          'code' => $country->code,
          'continent' => $country->continent,
          'name' => $country->name,
          'iso' => $country->iso,
          'number' => $country->number,
          'fullname' => $country->fullname,
        ]);
      // Execute country query.
      $query->execute();
    }
    catch (\Exception $e) {
      // Catch any errors, just to prevent anything
      // from ever being reported to screen.
      \Drupal::messenger()
        ->addError(t("Unable to complete this step : " . $e->getMessage()));
      return;
    }
  }

  /**
   * Return Database schema.
   */
  public function getDBStructure() {
    return [
      'description' => 'Countries',
      'fields' => [
        'code' => [
          'description' => 'Country code',
          'type' => 'varchar',
          'length' => 10,
          'not null' => TRUE,
          'default' => '',
        ],
        'name' => [
          'description' => 'Name',
          'type' => 'varchar',
          'length' => 100,
          'not null' => TRUE,
          'default' => '',
        ],
        'continent' => [
          'description' => 'Continent',
          'type' => 'varchar',
          'length' => 10,
          'not null' => TRUE,
          'default' => '',
        ],
        'iso' => [
          'description' => 'Iso',
          'type' => 'varchar',
          'length' => 100,
          'not null' => TRUE,
          'default' => '',
        ],
        'number' => [
          'description' => 'Number',
          'type' => 'varchar',
          'length' => 100,
          'not null' => TRUE,
          'default' => '',
        ],
        'fullname' => [
          'description' => 'Full name',
          'type' => 'varchar',
          'length' => 255,
          'not null' => TRUE,
          'default' => '',
        ],
      ],
      'primary key' => ['code'],
    ];
  }

}
